#define MULTIF_SYNCH_COMP \
	if(cmd == 'M' || cmd == 'A'){ /*Greg added*/\
	\
	/*Multiplefiles One shot complete sync computation		*/\
   \
	if(!twofiles)\
	{\
		ifile1 = "../data/mfile_sync.data";\
		ifile2 = "../data/mfile_sync.results";\
	}\
	f1 = fopen(ifile1, "r+");\
	f2 = fopen(ifile2, "w+");\
\
	multiplefile_complete_fsm_sync_comp(f1, &fsm3);\
	fsm_print(f2, &fsm3);\
\
	fsm_delete(&fsm3);\
	fclose(f1);\
	fclose(f2);\
\
	fprintf(f10, "Synch. comp. between fsm put as list in input file:\n\t");\
	fprintf(f10, "%s \n", ifile1);\
	fprintf(f10, "Output sync. composition fsm output file:\n\t");\
	fprintf(f10, "%s \n", ifile2);\
\
	/* illustration of function to rename states after the syn comp */\
	if(!threefiles)\
	{\
		ifile2 = "../data/mfile_sync.results";\
		ifile3 = "../data/mfile_sync_rename.results";\
	}\
	f1 = fopen(ifile2, "r");\
	f3 = fopen(ifile3, "w");\
	\
	fsm_read(f1, &fsm1);\
	fsm_rename(&fsm1);\
	fsm_print(f3, &fsm1);\
					 \
	/*   fsm_delete(&fsm1);     */\
	fclose(f1);\
	fclose(f3);\
\
	fprintf(f10, "Output sync. composition fsm renamed output file:\n\t");\
	fprintf(f10, "%s \n\n\n", ifile3);\
\
	}/*end M*/
